---
title: Report
description: Ping Autonomous Identity captures information in its log files that are useful when troubleshooting problems. You can access the reports using REST calls to the Report API endpoint.
component: autonomous-identity
version: 2022.11.12
page_id: autonomous-identity:api-guide:chap-report-api
canonical_url: https://docs.pingidentity.com/autonomous-identity/2022.11.12/api-guide/chap-report-api.html
section_ids:
  post_apireport: POST /api/report
---

# Report

Ping Autonomous Identity captures information in its log files that are useful when troubleshooting problems. You can access the reports using REST calls to the Report API endpoint.

## POST /api/report

* POST /api/report

  Get reporting data. \[All]

  Endpoint

  ```
  /api/report
  ```

  Authorization

  ```
  <Bearer Token JWT-value>
  ```

  Headers

  ```
  Content-Type      application/json
  ```

  Params

  ```
  fields
  ```

  Body

  ```
  {
  	"fields": [
  		"id",
  		"type",
  		"batch_id",
  		"original",
  		"update"
  	],
  	"reportType": "EventBasedCertification"
  }
  ```

  Example Request

  ```
  curl --request POST "https://autoid-api.forgerock.com/api/report" \
  --header "Content-Type: application/json" \
  --header 'Authorization: Bearer <token>' \
  --data-raw '{
  	"fields": [
  		"id",
  		"type",
  		"batch_id",
  		"original",
  		"update"
  	],
  	"reportType": "EventBasedCertification"
  }'
  ```
